Return user group properties

Return user group properties#

Description#

Return properties for a user group with the provided ID, or a 404 if no such user group is found.

GET /v1/security/user_groups/{userGroupId}

Parameters#

Parameter

In

Type

Required

Description

userGroupId

path

string

true

The ID of the User Group.

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/oc/api/v1/security/user_groups/{userGroupId} \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/oc/api/v1/security/user_groups/{userGroupId} \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/oc/api/v1/security/user_groups/{userGroupId}" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/oc/api/v1/security/user_groups/{userGroupId}', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a UserGroupResponse containing a UserGroup object for the provided userGroupId.

Example Responses#

{
  "data": {
    "id": "1",
    "name": "Admins",
    "default": true,
    "created_at": "2018-03-14 20:10:39.520585"
  }
}